#respimage - recommended markup patterns

Polyfilling responsive images in unsupporting browsers can yield to an additional http request if a ``src`` attribute is used. While it is possible to simply omit the ``src`` attribute this strategy does not only make the document invalid it also hides the image from search engines and legacy browsers with disabled JS.

respimage includes several techniques to mitigate the wasted request problem performance wise, so that you can use responsive images with a ``src`` (Of couse you can also simply omit it).

respimage is a simple drop-in polyfill solution for responsive image and does not force any specific markup. This document only describes how those techniques work so developers can better exploit them or understand, why a specific image was chosen.

Bascially respimage includes 3 base techniques. Different from other respimg polyfills, respimage analyses the current source candiate (initially set by ``src`` or on resize).

* If the current source has already a higher density than needed, respimage won't change the src (no extra download)
* If the current source is not downloaded yet, respimage trys to either abort image download (possible in IE) or becomes lazy and implements the Low quality image placeholder pattern (improves perceived performance dramtically)
* If the current source has a good enough density (often above 1.3x+ for 2x devices or 0.85x+ for 1x devices) respimage won't touch the source either (no extra download)

Those techniques can be leveraged with the following markup patterns:

##Low quality image placeholder pattern

While respimage